---
title: GlobalEventHandlers.onselect
slug: Web/API/GlobalEventHandlers/onselect
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<div>{{ ApiRef("HTML DOM") }}</div>

<p>The <strong><code>onselect</code></strong> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes <a href="/en-US/docs/Web/API/Element/select_event"><code>select</code> events</a>.</p>

<p>The <code>select</code> event only fires after text inside an <code>{{HtmlElement('input/text', '&lt;input type="text"&gt;')}}</code> or {{HtmlElement("textarea")}} is selected.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>target</em>.onselect = <em>functionRef</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("UIEvent")}} object as its sole argument.</p>

<h2 id="Examples">Examples</h2>

<p>This example logs the text you select inside a {{HtmlElement("textarea")}} element.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;textarea&gt;Try selecting some text in this element.&lt;/textarea&gt;
&lt;p id="log"&gt;&lt;/p&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">function logSelection(event) {
  const log = document.getElementById('log');
  const selection = event.target.value.substring(event.target.selectionStart, event.target.selectionEnd);
  log.textContent = `You selected: ${selection}`;
}

const textarea = document.querySelector('textarea');
textarea.onselect = logSelection;</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-onselect','onselect')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.GlobalEventHandlers.onselect")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Element/select_event"><code>select</code> event</a></li>
</ul>
